Alpha AnalystDocs

Balance Sheet API

Retrieve nested assets, liabilities, and equity by period, with the same options as Income Statement (periodicity, currency, growth, filing links).

curl -X GET "https://example.com/v2/fundamentals/financials/balance?id=AAPL&periodicity=fy&limit=4"
{  "id": "AAPL",  "entity": {    "name": "Apple Inc.",    "name_short": "Apple Inc.",    "full_ticker": "AAPL US",    "normalized_ticker": "AAPL",    "backlink_url": "https://alpha-analyst.com/stocks/aapl",    "category": "EQUITY",    "cik": "0000320193",    "lei": "HWUPKR0MPOU8FGXBT394"  },  "statement": "balance",  "periodicity": "fy",  "include_ltm": false,  "period_start": null,  "period_end": null,  "limit": 4,  "growth": "none",  "currency": {    "requested": null,    "reporting": {      "currency": "USD",      "original_currency": "USD",      "applied_exchange_rate": 1    },    "trading": null  },  "count": 4,  "columns": [    {      "date": "2022-09-24",      "fiscal_year": "2022",      "period": "FY",      "reported_currency": "USD",      "original_currency": "USD",      "is_ltm": false,      "filing": {        "document_id": "0000320193-22-000108|0",        "filing_id": "0000320193-22-000108",        "source": "sec",        "filing_type": "10-K",        "backlink_url": "https://alpha-analyst.com/app/filing/0000320193/0000320193-22-000108?filename=aapl-20220924.htm",        "source_document_url": "https://www.sec.gov/Archives/edgar/data/320193/000032019322000108/aapl-20220924.htm",        "source_filing_url": "https://www.sec.gov/Archives/edgar/data/320193/000032019322000108/0000320193-22-000108-index.html"      },      "filing_match": "exact"    },    {      "date": "2023-09-30",      "fiscal_year": "2023",      "period": "FY",      "reported_currency": "USD",      "original_currency": "USD",      "is_ltm": false,      "filing": {        "document_id": "0000320193-23-000106|0",        "filing_id": "0000320193-23-000106",        "source": "sec",        "filing_type": "10-K",        "backlink_url": "https://alpha-analyst.com/app/filing/0000320193/0000320193-23-000106?filename=aapl-20230930.htm",        "source_document_url": "https://www.sec.gov/Archives/edgar/data/320193/000032019323000106/aapl-20230930.htm",        "source_filing_url": "https://www.sec.gov/Archives/edgar/data/320193/000032019323000106/0000320193-23-000106-index.html"      },      "filing_match": "exact"    },    {      "date": "2024-09-28",      "fiscal_year": "2024",      "period": "FY",      "reported_currency": "USD",      "original_currency": "USD",      "is_ltm": false,      "filing": {        "document_id": "0000320193-24-000123|0",        "filing_id": "0000320193-24-000123",        "source": "sec",        "filing_type": "10-K",        "backlink_url": "https://alpha-analyst.com/app/filing/0000320193/0000320193-24-000123?filename=aapl-20240928.htm",        "source_document_url": "https://www.sec.gov/Archives/edgar/data/320193/000032019324000123/aapl-20240928.htm",        "source_filing_url": "https://www.sec.gov/Archives/edgar/data/320193/000032019324000123/0000320193-24-000123-index.html"      },      "filing_match": "date"    },    {      "date": "2025-09-27",      "fiscal_year": "2025",      "period": "FY",      "reported_currency": "USD",      "original_currency": "USD",      "is_ltm": false,      "filing": {        "document_id": "0000320193-25-000079|0",        "filing_id": "0000320193-25-000079",        "source": "sec",        "filing_type": "10-K",        "backlink_url": "https://alpha-analyst.com/app/filing/0000320193/0000320193-25-000079?filename=aapl-20250927.htm",        "source_document_url": "https://www.sec.gov/Archives/edgar/data/320193/000032019325000079/aapl-20250927.htm",        "source_filing_url": "https://www.sec.gov/Archives/edgar/data/320193/000032019325000079/0000320193-25-000079-index.html"      },      "filing_match": "date"    }  ],  "rows": [    {      "metric": "cashAndCashEquivalents",      "name": "Cash and Cash Equivalents",      "parent": "cashAndShortTermInvestments",      "level": 1,      "sign": null,      "row_type": "normal",      "values": [        23646000000,        29965000000,        29943000000,        35934000000      ]    },    {      "metric": "shortTermInvestments",      "name": "Short Term Investments",      "parent": "cashAndShortTermInvestments",      "level": 1,      "sign": null,      "row_type": "normal",      "values": [        24658000000,        31590000000,        35228000000,        18763000000      ]    },    {      "metric": "cashAndShortTermInvestments",      "name": "Cash and Short Term Investments",      "parent": null,      "level": 0,      "sign": null,      "row_type": "subtotal",      "values": [        48304000000,        61555000000,        65171000000,        54697000000      ]    },    {      "metric": "netReceivables",      "name": "Net Receivables",      "parent": "totalCurrentAssets",      "level": 1,      "sign": null,      "row_type": "normal",      "values": [        60932000000,        60985000000,        66243000000,        72957000000      ]    },    {      "metric": "inventory",      "name": "Inventory",      "parent": "totalCurrentAssets",      "level": 1,      "sign": null,      "row_type": "normal",      "values": [        4946000000,        6331000000,        7286000000,        5718000000      ]    },    {      "metric": "otherCurrentAssets",      "name": "Other Current Assets",      "parent": "totalCurrentAssets",      "level": 1,      "sign": null,      "row_type": "normal",      "values": [        21223000000,        14695000000,        14287000000,        14585000000      ]    },    {      "metric": "totalCurrentAssets",      "name": "Total Current Assets",      "parent": null,      "level": 0,      "sign": null,      "row_type": "subtotal",      "values": [        135405000000,        143566000000,        152987000000,        147957000000      ]    },    {      "metric": "propertyPlantEquipmentNet",      "name": "Property, Plant & Equipment",      "parent": "totalNonCurrentAssets",      "level": 1,      "sign": null,      "row_type": "normal",      "values": [        52534000000,        54376000000,        45680000000,        49834000000      ]    },    {      "metric": "longTermInvestments",      "name": "Long Term Investments",      "parent": "totalNonCurrentAssets",      "level": 1,      "sign": null,      "row_type": "normal",      "values": [        120805000000,        100544000000,        91479000000,        77723000000      ]    },    {      "metric": "otherNonCurrentAssets",      "name": "Other Non-Current Assets",      "parent": "totalNonCurrentAssets",      "level": 1,      "sign": null,      "row_type": "normal",      "values": [        28636000000,        36245000000,        55335000000,        62950000000      ]    },    {      "metric": "totalNonCurrentAssets",      "name": "Total Non-Current Assets",      "parent": null,      "level": 0,      "sign": null,      "row_type": "subtotal",      "values": [        217350000000,        209017000000,        211993000000,        211284000000      ]    },    {      "metric": "totalAssets",      "name": "Total Assets",      "parent": null,      "level": 0,      "sign": null,      "row_type": "total",      "values": [        352755000000,        352583000000,        364980000000,        359241000000      ]    },    {      "metric": "accountPayables",      "name": "Account Payables",      "parent": "totalCurrentLiabilities",      "level": 1,      "sign": null,      "row_type": "normal",      "values": [        64115000000,        62611000000,        68960000000,        69860000000      ]    },    {      "metric": "shortTermDebt",      "name": "Short Term Debt",      "parent": "totalCurrentLiabilities",      "level": 1,      "sign": null,      "row_type": "normal",      "values": [        21110000000,        15807000000,        20879000000,        20329000000      ]    },    {      "metric": "deferredRevenue",      "name": "Deferred Revenue",      "parent": "totalCurrentLiabilities",      "level": 1,      "sign": null,      "row_type": "normal",      "values": [        7912000000,        8061000000,        8249000000,        9055000000      ]    },    {      "metric": "otherCurrentLiabilities",      "name": "Other Current Liabilities",      "parent": "totalCurrentLiabilities",      "level": 1,      "sign": null,      "row_type": "normal",      "values": [        52630000000,        48435000000,        50071000000,        42335000000      ]    },    {      "metric": "totalCurrentLiabilities",      "name": "Total Current Liabilities",      "parent": null,      "level": 0,      "sign": null,      "row_type": "subtotal",      "values": [        153982000000,        145308000000,        176392000000,        165631000000      ]    },    {      "metric": "longTermDebt",      "name": "Long Term Debt",      "parent": "totalNonCurrentLiabilities",      "level": 1,      "sign": null,      "row_type": "normal",      "values": [        98959000000,        95281000000,        85750000000,        78328000000      ]    },    {      "metric": "otherNonCurrentLiabilities",      "name": "Other Non-Current Liabilities",      "parent": "totalNonCurrentLiabilities",      "level": 1,      "sign": null,      "row_type": "normal",      "values": [        38394000000,        38581000000,        35090000000,        29946000000      ]    },    {      "metric": "totalNonCurrentLiabilities",      "name": "Total Non-Current Liabilities",      "parent": null,      "level": 0,      "sign": null,      "row_type": "subtotal",      "values": [        148101000000,        145129000000,        131638000000,        119877000000      ]    },    {      "metric": "totalLiabilities",      "name": "Total Liabilities",      "parent": null,      "level": 0,      "sign": null,      "row_type": "subtotal",      "values": [        302083000000,        290437000000,        308030000000,        285508000000      ]    },    {      "metric": "commonStock",      "name": "Common Stock",      "parent": "totalStockholdersEquity",      "level": 1,      "sign": null,      "row_type": "normal",      "values": [        64849000000,        73812000000,        83276000000,        93568000000      ]    },    {      "metric": "retainedEarnings",      "name": "Retained Earnings",      "parent": "totalStockholdersEquity",      "level": 1,      "sign": null,      "row_type": "normal",      "values": [        -3068000000,        -214000000,        -19154000000,        -14264000000      ]    },    {      "metric": "totalStockholdersEquity",      "name": "Total Stockholders Equity",      "parent": null,      "level": 0,      "sign": null,      "row_type": "subtotal",      "values": [        50672000000,        62146000000,        56950000000,        73733000000      ]    },    {      "metric": "totalLiabilitiesAndTotalEquity",      "name": "Total Liabilities and Equity",      "parent": null,      "level": 0,      "sign": null,      "row_type": "total",      "values": [        352755000000,        352583000000,        364980000000,        359241000000      ]    }  ]}
GET
/v2/fundamentals/financials/balance

Query Parameters

id*Entity Id

Company or listing id. Same resolve as Entity Reference: ticker (AAPL, AAPL US, AAPL-US), CIK, LEI, EDINET code, CRD, SEC series id, internal id, FIGI, composite FIGI, and share-class FIGI. ISIN and CUSIP match but are never returned. See Ids you can send.

Length1 <= length <= 200
periodicity?string

fy, quarter, or ttm. Default fy. fy is fiscal year, quarter is Q1-Q4, ttm is last twelve months.

Default"fy"

Value in

  • "fy"
  • "quarter"
  • "ttm"
include_ltm?boolean

When periodicity=fy, append a Last-12M column if it is not the same as the latest FY.

Defaultfalse
period_start?string

Inclusive period-end start (YYYY-MM-DD).

Formatdate
period_end?string

Inclusive period-end end (YYYY-MM-DD).

Formatdate
limit?integer

Latest N periods after the date filter. Omit for all matching periods up to 100.

Range1 <= value <= 100
currency?ISO Currency

ISO 4217 code (USD, EUR, CAD). Case-insensitive. Latest warehouse spot; crosses that are not a listed pair convert via USD. See Forex.

Match^[A-Za-z]{3,4}$
Length3 <= length <= 4
growth?string

none, period, or yoy. Default none. period is adjacent percent change. yoy is the same fiscal period in the prior year.

Default"none"

Value in

  • "none"
  • "period"
  • "yoy"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json